Results 1 to 3 of 3

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Need help upgrading unlocked iPhone 3G

  1. #1
    Default Need help upgrading unlocked iPhone 3G
    Ok, I am lost in all the basebands and versions and everything. Please help this confused girl.

    I have an iPhone 3G 8MB using 3.0 firmware. It is unlocked and jailbroken and I am using it on T-Mobile. I would like to upgrade to at least 3.1, as some apps do not run on 3.0 and I am also experiencing some odd little behaviors from some apps, which lead me to think a fresh install is overdue. I believe it was originally unlocked with Redsn0w but am not certain. I have read that 4.0, 4.1 will really slow this phone down.

    So my question is, what OS should I install? Where can I find anything other than the latest (which of course is on iTunes). And does it matter that I already have a jailbroken phone, in other words, can I run into problems and brick my phone because I choose the wrong update or version or whatever? I actually dont care about thejailbreak, I only buy and use apps from the Apple Store, but I do need to use the phone on T-Mobile.

    Thank you so much--I am pretty techie but the amount of minutiae that one needs to know to do the upgrades has overwhelmed me!

  2. #2
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    My opinion, go with 3.1.3 for now.
    All you need to do is Do a Shift + Restore to 3.1.3 ipsw which you can download from here : iClarified - iPhone - Where To Download iPhone Firmware Files From
    You will need to download 3.1.2 ipsw as well onto your desktop.
    Now download Redsn0w 0.9.4 from here : ModMyi Forums - Downloads - redsn0w Windows 0.9.4
    Run Redsn0w to jailbreak but point to 3.1.2.
    Unlock again with Ultrasn0w.

  3. The Following User Says Thank You to iYeow For This Useful Post:

    HappyBunny (2010-10-17)

  4. #3
    Default Same issue
    Most of the apps I have or want now require 4.0 or above. I also have the iPhone 3G running 3.0.1 which is jailbroke and unlocked. Can someone please tell me how to upgrade to 4.0? I've never had a problem with these processes before but I too am at a loss when it comes to the basebands. The last thing I want to do is lose my unlock

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •